Name: kde-edu-ktouch
Summary: Touch Typing Tutor
Version: 15.04.3
Release: %mkrel 1
Group: Graphical desktop/KDE4
License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/stable/%{version}/src/ktouch-%{version}.tar.xz
BuildRequires: kdelibs-devel 
Requires: kde-runtime

%description
KTouch is a program for learning to touch type. KTouch 
provides you with text to train on and adjusts to different 
levels depending on how good you are. It displays which key 
to press next and the correct finger to use.

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_kde_bindir}/ktouch
%{_kde_appsdir}/ktouch/
%{_kde_datadir}/applications/kde4/ktouch.desktop
%{_kde_datadir}/appdata/ktouch.appdata.xml
%{_kde_datadir}/config.kcfg/ktouch.kcfg
%{_kde_iconsdir}/hicolor/*/*
%{_kde_docdir}/HTML/*/ktouch/*
%{_kde_mandir}/man1/ktouch.1.bz2
#%{_kde_libdir}/kde4/imports/org/kde/ktouch/graph/*

%prep
%setup -q -n ktouch-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
